<?php

/**
 *
 * @link              https://wysylajtaniej.pl
 * @since             1.0.0
 * @package           wysylajtaniej
 *
 * @wordpress-plugin
 * Plugin Name:       wysylajtaniej
 * Plugin URI:        https://wysylajtaniej.pl
 * Description:       Integracja z kurierem wysylajtaniej.pl
 * Version:           1.0.0
 * Author:            wysylajtaniej.pl
 * Author URI:        https://wysylajtaniej.pl
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Developer:         codebox
 * Developer URI:     http://codebox.pl
 * Text Domain:       wysylajtaniej
 * Domain Path:       /languages
 *
 * WC requires at least: 3.4.7
 * WC tested up to: 3.6.4
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'wysylajtaniej_VERSION', '1.0.0' );
define( 'wysylajtaniej_PLUGIN_NAME', 'wysylajtaniej' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-wysylajtaniej-activator.php
 */
function activate_wysylajtaniej() {
    if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
        require_once plugin_dir_path( __FILE__ ) . 'includes/class-wysylajtaniej-activator.php';
        wysylajtaniej_Activator::activate();
    }

}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-wysylajtaniej-deactivator.php
 */
function deactivate_wysylajtaniej() {
    require_once plugin_dir_path( __FILE__ ) . 'includes/class-wysylajtaniej-deactivator.php';
    wysylajtaniej_Deactivator::deactivate();

}

register_activation_hook( __FILE__, 'activate_wysylajtaniej' );
register_deactivation_hook( __FILE__, 'deactivate_wysylajtaniej' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-wysylajtaniej.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_wysylajtaniej() {
    if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
        $plugin = new wysylajtaniej();
        $plugin->run();
    }

}
run_wysylajtaniej();